JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.dashboard.getByID('6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.dashboard.get_by_id(
"6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/dashboard/{dashboardId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/dashboard/{dashboardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/dashboard/{dashboardId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roark.ai/v1/dashboard/{dashboardId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/dashboard/{dashboardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"isDefault": true,
"configManaged": true,
"timeRange": {
"type": "LAST",
"value": 500,
"unit": "DAYS"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"widgets": [
{
"measures": [
{
"type": "METRIC",
"metric": "<string>",
"aggregation": "COUNT",
"percentile": 50,
"distinctBy": "NONE",
"nestedAggregation": "COUNT",
"nestedAggregationPercentile": 50,
"passOperator": "EQUALS",
"passValue": "<string>",
"breakdown": {
"type": "METRIC_PROPERTY",
"property": "<string>"
},
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"isBaseline": true,
"color": "GREEN"
}
],
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"interval": "HOUR",
"comparisonMode": "NONE",
"comparisonGroups": [
{
"name": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"color": "GREEN"
}
],
"description": "<string>",
"display": "LINE",
"size": "SMALL"
}
]
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Dashboard
Get a dashboard
Returns a dashboard with its widgets top to bottom, each in the shape POST /v1/dashboard accepts, so a dashboard can be read, edited and written back.
GET
/
v1
/
dashboard
/
{dashboardId}
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.dashboard.getByID('6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b');
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.dashboard.get_by_id(
"6f1d2c3b-4a5e-4f60-8b71-9c0d1e2f3a4b",
)
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/dashboard/{dashboardId} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.roark.ai/v1/dashboard/{dashboardId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.roark.ai/v1/dashboard/{dashboardId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.roark.ai/v1/dashboard/{dashboardId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.roark.ai/v1/dashboard/{dashboardId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"isDefault": true,
"configManaged": true,
"timeRange": {
"type": "LAST",
"value": 500,
"unit": "DAYS"
},
"createdAt": "<string>",
"updatedAt": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"widgets": [
{
"measures": [
{
"type": "METRIC",
"metric": "<string>",
"aggregation": "COUNT",
"percentile": 50,
"distinctBy": "NONE",
"nestedAggregation": "COUNT",
"nestedAggregationPercentile": 50,
"passOperator": "EQUALS",
"passValue": "<string>",
"breakdown": {
"type": "METRIC_PROPERTY",
"property": "<string>"
},
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"isBaseline": true,
"color": "GREEN"
}
],
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"interval": "HOUR",
"comparisonMode": "NONE",
"comparisonGroups": [
{
"name": "<string>",
"filters": [
{
"type": "METRIC_PROPERTY",
"value": "<string>",
"property": "<string>",
"operator": "EQUALS"
}
],
"color": "GREEN"
}
],
"description": "<string>",
"display": "LINE",
"size": "SMALL"
}
]
}
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}